Subject: Re: simple MPC5200B system

From: Andre Schwarz <[email-masked]>
Date: Tue, 18 Mar 2008 11:34:35 +0100

Grant,

sorry for having troubled you. Looks like the build system has been in 
an invalid state...

After doing a git-pull and "make distclean" + "make mpc5200_defconfig" 
the system is finally up and running.

Using mpc5200-simple-platform machine description
Linux version 2.6.25-rc6-00978-g275c005-dirty (root@nova) (gcc version 
4.0.0 (DENX ELDK 4.1 4.0.0)) #9 Tue Mar 18 11:25:07 CET 2008
Found initrd at 0xc397a000:0xc3c00000
arch/powerpc/platforms/52xx/mpc52xx_common.c: Error mapping XLB in 
mpc52xx_setup_cpu().  Expect some abnormal behavior
Zone PFN ranges:
  DMA             0 ->    16384
  Normal      16384 ->    16384
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0:        0 ->    16384
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
Kernel command line: root=/dev/ram ro rootfstype=squashfs 
ip=192.168.65.57::192.168.65.15:255.255.255.0 console=ttyPSC0,115200N8 
e1000.TxDescriptors=1500 e1000.SmartPowerDownEnable=1
MPC52xx PIC is up and running!
PID hash table entries: 256 (order: 8, 1024 bytes)
clocksource: timebase mult[79364d9] shift[22] registered
console [ttyPSC0] enabled
....

regards,
Andre

Andre Schwarz schrieb:
> Grant,
>
> I've pulled the latest git and built a mpc5200_simple system with a 
> minimal dts.
> There's not a single char put on the console ....
>
>
>
> Grant Likely schrieb:
>> On Sun, Mar 16, 2008 at 1:15 PM, André Schwarz
>> <[email-masked]> wrote:
>>   
>>> All,
>>>
>>>  I'm quite stuck in getting our MPC5200B based systems work on 2.6.24+
>>>  ... maybe someone could give me some hints.
>>>  Up to now the systems have been running on 2.6.19 without any problems.
>>>
>>>  This is what I've done so far :
>>>
>>>  - get a recent system with 2.6.19 running and keep the toolchain (gcc
>>>  4.0) including RFS uImage.
>>>  - latest bootloader (u-boot 1.3.2) is running fine with dtb support.
>>>  - Kernel and RFS images are available via bootp/tftp
>>>  - device tree blob seems ok, i.e. u-boot can display the blob and fill
>>>  in all clocks correctly.
>>>  - Kernel gets called with Kernel, RFS and dtb on suitable adresses
>>>  (0x100000, 0x600000, 0x5F0000).
>>>  - nothing more happens. It looks like the console isn't working properly
>>>  - maybe worse ...
>>>     
>>
>> Can you either halt the processor or reset the board and access memory
>> after this point?  You should see if you can access __log_buf (Look in
>> System.map for the address and subtract 0xc0000000 to get the physical
>> address).   __log_buf should give you clues about how far booting
>> progresses.
>>
>>   
> (c033d4b4 b __log_buf) yields all zeroes - nothing logged at all.
>
> Examining the CPU state with the bdi shows :
>
>     Target CPU        : MPC8280/8220/5200 (Zeppo)
>     Target state      : debug mode
>     Debug entry cause : COP halt
>     Current PC        : 0xc000552c
>     Current CR        : 0x48000042
>     Current MSR       : 0x00009032
>     Current LR        : 0xc00166c0
>
> The program counter shows the adress of "irq_set_virq_count" which has 
> a BUG() macro. Looks like this one evaluates to true.
>
> What do you think ?
>
>>>  The kernel has been build using the "MPC5200 simple" setup. I've added
>>>  our board identifier "mv,mvbluecougar" to the list of supported boards
>>>  in the "mpc52xx_simple.c" file. This identifier is used in the dtb as
>>>  well of course. This should be enough along with a valid device tree
>>>  blob, isn't it ? Did I miss anything already ?
>>>     
>>
>> Yes, this should be enough (on a side note; it should probably be
>> "matrix-vision,bluecougar" unless of''mv' is your company's stock
>> ticker symbol).
>>
>>   
>>>  As far as I did understand by reading the docs it should be possible
>>>  running a general MPC52xx kernel with a custom dtb ? Is this correct ?
>>>     
>>
>> That is correct.
>>
>>   
>>>  The dts file has already been reduced to a minimum, i.e. only the cpu,
>>>  pic, xlb and a few nodes like psc1 and psc2 are present. No bestcomm,
>>>  pci, ata or "advanced" features like mtd partitions. All I want to get
>>>  working is the serial console on "/dev/ttyPSC0".
>>>     
>>
>> Cheers,
>> g.
>>
>>   
>
> regards,
> Andre
>
> MATRIX VISION GmbH, Talstraße 16, DE-71570 Oppenweiler - 
> Registergericht: Amtsgericht Stuttgart, HRB 271090 Geschäftsführer: 
> Gerhard Thullner, Werner Armingeon, Uwe Furtner
> ------------------------------------------------------------------------
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev

MATRIX VISION GmbH, Talstraße 16, DE-71570 Oppenweiler  - Registergericht: Amtsgericht Stuttgart, HRB 271090
Geschäftsführer: Gerhard Thullner, Werner Armingeon, Uwe Furtner